<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('luzuk_premium_slider_show_content', 'on'); ?>
<div id="ht-home-slider-section">
	<div id="ht-bx-slider">
		<?php
		$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC', );
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'Start Free Trial';
				}
				?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<?php 
					if(has_post_thumbnail()){
						$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
						echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
					}
					if($showContent == 'on'){
						?>
						<div class="ht-slide-caption wow zoomIn">
							<div class="ht-slide-cap-desc"  <?php  if (!empty(get_the_title())) : ?>
             style="display: inline-block;" <?php else: ?> style="display: none;" 
              <?php endif ?>
							>
								<?php echo (get_the_title()); ?>
							</div>		
							<div class="ht-slide-cap-title">
								<span><?php echo (get_the_content()); ?></span>
							</div>
											
							<?php 
							if(!empty($pageLink)){ ?>
							<div class="sliderbtn">	
								<div class="ht-slide-cap-descmore">
									<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php echo($pageLinkTxt); ?></a>
								</div>
							</div>
							<?php }?>
						</div>
						<?php }?>
					</div>
					<?php
				endwhile;
			}else{ 
				for($i=0;$i<2;$i++){?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-banner.jpg">';?>					
					<?php if($showContent == 'on'){?>
					<div class="ht-slide-caption wow zoomIn">
					<div class="ht-slide-cap-desc">WE ALWAYS PROVIDE YOU</div>
					<div class="ht-slide-cap-title"><span>COMPUTER REPAIR SERVICES</span></div>
					
					<div class="sliderbtn">	
						<div class="ht-slide-cap-descmore">	
							<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php _e( 'CONTACT US', 'lz-fintess-premium' ); ?></a>
						</div>
					</div>
					</div>
					<?php }?>
				</div>
				<?php }
			}?>
		</div>
	</div>
